
Installer - Refactor #35353

Drop xinetd support

08/10/2022 11:24 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-tft

p/pull/136,

https://github.com/theforeman/foreman-i

nstaller/pull/799

  

Description

Now that EL7 is dropped, there's no point in keeping it anymore. All supported platforms use a dedicated tftp daemon.

Associated revisions

Revision 5668e319 - 08/10/2022 11:24 AM - Ewoud Kohl van Wijngaarden

Fixes #35353 - Drop xinetd support

Only EL-7 was using xinetd support, everything else uses a daemon. This

aligns on daemons.

There is no migration provided for EL 7. It is up to the admin to ensure

xinetd is stopped.

Revision 8fef74aa - 08/30/2022 10:39 AM - Ewoud Kohl van Wijngaarden

Refs #35353 - Drop xinetd support

puppet-tftp has dropped the dependency on xinetd so no more specific

version is needed.

History

#1 - 08/10/2022 11:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-tftp/pull/136 added

#2 - 08/10/2022 11:26 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/799 added

#3 - 08/30/2022 10:38 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#4 - 08/30/2022 11:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-tftp|5668e31985947f4a3cf2b8833c74031ac7716246.

#5 - 11/28/2022 01:41 PM - Ewoud Kohl van Wijngaarden

- Category deleted (Foreman modules)

- Triaged changed from No to Yes
